Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class SinkStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<TupleEntry,Void>
                  cascading.flow.stream.SinkStage

All Implemented Interfaces:
  ElementDuct

Direct Known Subclasses:
  HadoopSinkStage

    public class SinkStage

extends ElementStage<TupleEntry,Void>

Field Summary

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`SinkStage(FlowProcess flowProcess, Tap sink)`

Method Summary
`void` | `bind(StreamGraph streamGraph)`
`void` | `cleanup()`
`void` | `complete(Duct previous)`
`protected Object` | `getOutput()`
`void` | `prepare()`
`void` | `receive(Duct previous, TupleEntry tupleEntry)`
`void` | `start(Duct previous)`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, initialize, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SinkStage

    public SinkStage(FlowProcess flowProcess,
                     Tap sink)

Method Detail

### bind

    public void bind(StreamGraph streamGraph)

  Overrides:
    `bind` in class `Duct<TupleEntry,Void>`

### prepare

    public void prepare()

  Overrides:
    `prepare` in class `Duct<TupleEntry,Void>`

### getOutput

    protected Object getOutput()

### start

    public void start(Duct previous)

  Overrides:
    `start` in class `Duct<TupleEntry,Void>`

### receive

    public void receive(Duct previous,
                        TupleEntry tupleEntry)

  Overrides:
    `receive` in class `Stage<TupleEntry,Void>`

### complete

    public void complete(Duct previous)

  Overrides:
    `complete` in class `Duct<TupleEntry,Void>`

### cleanup

    public void cleanup()

  Overrides:
    `cleanup` in class `ElementStage<TupleEntry,Void>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.